%undefine _missing_build_ids_terminate_build
%global debug_package %{nil}
%global __brp_check_rpaths %{nil}

Name:           yubico-authenticator
Version:        7.2.0
Release:        1%{?dist}
Summary:        Yubikey tool for generating OATH event-based HOTP and time-based TOTP codes

License:        Apache-2.0
URL:            https://github.com/Yubico/yubioath-flutter
Source0:        https://github.com/Yubico/yubioath-flutter/releases/download/%{version}/yubico-authenticator-%{version}-linux.tar.gz

BuildRequires:  desktop-file-utils
Obsoletes:      yubioath-desktop < 6.1.0
Provides:       yubioath-desktop = %{version}-%{release}

# Exclude all libs, to avoid poluting repository dependencies
%global __requires_exclude ^lib.*\\.so.*$
%global __provides_exclude ^lib.*\\.so.*$

%description
Store your unique credential on a hardware-backed security key and take
it wherever you go from mobile to desktop. No more storing sensitive
secrets on your mobile phone, leaving your account vulnerable to
takeovers. With the Yubico Authenticator you can raise the bar for
security.

* The Yubico Authenticator will work with any USB or NFC-enabled YubiKeys

The Yubico Authenticator securely generates a code used to verify your
identity as you are logging into various services. 

%prep
%setup -q -n yubico-authenticator-%{version}-linux


%build


%install
mkdir -p %{buildroot}{/opt/yubico/authenticator,%{_bindir},%{_datadir}/{applications,icons/hicolor/128x128/apps}}
mv linux_support/com.yubico.yubioath.png \
   %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/
sed -re 's|Exec=[^/]+/|Exec="%{_bindir}/|' \
     -e 's|Icon=@EXEC_PATH/linux_support/|Icon=%{_datadir}/icons/hicolor/128x128/apps/|' \
    linux_support/com.yubico.yubioath.desktop > \
    %{buildroot}%{_datadir}/applications/com.yubico.yubioath.desktop
desktop-file-validate %{buildroot}%{_datadir}/applications/com.yubico.yubioath.desktop
rm -rf linux_support desktop_integration.sh
cp -a * %{buildroot}/opt/yubico/authenticator
ln -s ../../opt/yubico/authenticator/authenticator %{buildroot}%{_bindir}/

%files
%doc README.adoc
%{_bindir}/authenticator
%{_datadir}/applications/com.yubico.yubioath.desktop
%{_datadir}/icons/hicolor/128x128/apps/com.yubico.yubioath.png
/opt/yubico/authenticator


%changelog
* Fri Mar 28 2025 Bojan Smojver <bojan@rexursive.com> - 7.2.0-1
- Update to 7.2.0

* Thu Apr 20 2023 Orion Poplawski <orion@nwra.com> - 6.2.0-1
- Update to 6.2.0

* Thu Apr 20 2023 Orion Poplawski <orion@nwra.com> - 6.1.0-1
- Package binary tarball
